<script setup>
// interface dayta {
//   date: string;
//   max: number;
//   min: number;
//   rain: number | 'T';
// }

const props = defineProps({
  dayta: Object,
});

function classFromTemp(temp) {
  if (temp === null) {
    // White (maybe make more obvi?)
    return 'white';
  } else if (temp >= 67) {
    // Chocolate
    return 'chocolate';
  } else if (temp >= 56 && temp <= 66) {
    // Plum
    return 'plum';
  } else if (temp >= 45 && temp <= 55) {
    // Fig
    return 'fig';
  } else if (temp >= 34 && temp <= 44) {
    // Eggplant
    return 'eggplant';
  } else if (temp >= 23 && temp <= 33) {
    // Light Rose
    return 'light-rose';
  } else if (temp >= 12 && temp <= 22) {
    // Cream
    return 'cream';
  } else if (temp <= 11) {
    // Ivory
    return 'ivory';
  }

  // White (maybe make more obvi?)
  return 'white';
}

</script>

<template>
  <div 
    class="w-11/12 h-5 my-1 mx-auto flex justify-center row"
    :class="classFromTemp(dayta.min)"
  >
    <div class="text">{{ dayta.date.toLocaleString() }} -> {{ dayta.min }}</div>
  </div>
</template>

<style scoped lang="scss">
.row {
  transition: all 0.3s ease-in-out;
  border-width: 2px;
  border-style: solid;

  .text {
    user-select: none;
    transition: all 0.3s ease-in-out;
    opacity: 0;
  }

  &.white {
    border-color: white;
    background-color: white;
  }

  &.chocolate {
    border-color: #4B2C24;
    background-color: #4B2C24;
  }

  &.plum {
    border-color: #AC2560;
    background-color: #AC2560;
  }

  &.fig {
    border-color: #431A38;
    background-color: #431A38;
  }

  &.eggplant {
    border-color: #5E2F4A;
    background-color: #5E2F4A;
  }

  &.light-rose {
    border-color: #AF8C95;
    background-color: #AF8C95;
  }

  &.cream {
    border-color: #C5C0B2;
    background-color: #C5C0B2;
  }

  &.ivory {
    background-color: #CBCFD4;
    background-color: #CBCFD4;
  }


  &:hover {
    cursor: pointer;
    height: 30px !important;

    .text {
      display: flex;
      color: white;
      opacity: 1;
    }

    &.white {
      border-color: white;
      background-color: white;

      .text {
        color: black;
      }
    }

    &.chocolate {
      border-color: #4B2C24AA;
      background-color: #4B2C24AA;
    }

    &.plum {
      border-color: #AC2560AA;
      background-color: #AC2560AA;
    }

    &.fig {
      border-color: #431A38AA;
      background-color: #431A38AA;
    }

    &.eggplant {
      border-color: #5E2F4AAA;
      background-color: #5E2F4AAA;
    }

    &.light-rose {
      border-color: #AF8C95AA;
      background-color: #AF8C95AA;
    }

    &.cream {
      border-color: #C5C0B2AA;
      background-color: #C5C0B2AA;
      .text {
        color: black;
      }
    }

    &.ivory {
      background-color: #CBCFD4AA;
      background-color: #CBCFD4AA;
      .text {
        color: black;
      }
    }
  }
}
</style>
